extends Plant
class_name Mandrake

func _ready():
    super()
    connect("shoot", _on_shoot)

func _process(delta):
    super(delta)
    $Eyes.set_modulate(Color(1, 1, 1, 1.0 - (attack_timer.get_time_left() / 10.0)))
    
func _on_shoot(victim: UFO):
    if victim != null and not dead:
        victim.deal_damage(attack_damage)
